#import "~/graphql_shared/fragments/user.fragment.graphql"

mutation oncallScheduleRotationCreate(
  $oncallScheduleRotationCreateInput: OncallScheduleRotationCreateInput!
) {
  oncallScheduleRotationCreate(input: $oncallScheduleRotationCreateInput) {
    errors
    oncallScheduleRotation {
      iid
      name
      participants {
        nodes {
          ...User
        }
      }
      length {
        value
        type
      }
      startsOn {
        date
        time
      }
    }
  }
}
